package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.UpgradeStrategyGroup;
import com.neusoft.smart.pos.ota.persistent.domain.UpgradeStrategyGroupExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UpgradeStrategyGroupMapper {

	int countByExample(UpgradeStrategyGroupExample example);

	int deleteByExample(UpgradeStrategyGroupExample example);

	int deleteByPrimaryKey(Integer id);

	int insert(UpgradeStrategyGroup record);

	int insertSelective(UpgradeStrategyGroup record);

	List<UpgradeStrategyGroup> selectByExample(UpgradeStrategyGroupExample example);

	UpgradeStrategyGroup selectByPrimaryKey(Integer id);

	int updateByExampleSelective(@Param("record") UpgradeStrategyGroup record, @Param("example") UpgradeStrategyGroupExample example);

	int updateByExample(@Param("record") UpgradeStrategyGroup record, @Param("example") UpgradeStrategyGroupExample example);

	int updateByPrimaryKeySelective(UpgradeStrategyGroup record);

	int updateByPrimaryKey(UpgradeStrategyGroup record);
}